#include <cstdio>
#include <vector>
#include <iostream>

using namespace std;

int n, sum, cur;

int main()
{
	cin >> n;
	vector<int> ans(n);
	for (int i = 0; i < n; i++)
		cout << '+' << (i == n - 1 ? '\n' : ' ');
	cout.flush();
	cin >> sum;
	for (int i = 0; i < n - 1; i++)
	{
		for (int j = 0; j < n; j++)
			cout << (i == j ? '-' : '+') << (j == n - 1 ? '\n' : ' ');
		cout.flush();
		cin >> cur;	
		ans[i] = (sum - cur) / 2;
	}
	ans.back() = sum;
	for (int i = 0; i < n - 1; i++)
		ans.back() -= ans[i];
	cout << "answer: ";
	for (int i = 0; i < n; i++)
		cout << ans[i] << (i == n - 1 ? '\n' : ' ');
    cout.flush();
    return 0;
}